User Logger - Versions & Registration

Versions & Registration
Overview
See also: History

The Freeware Version
Is free for personal use and can be installed locally on ONE computer
It will not allow you to change the Data Folder.

The Registered Version

  • Can be installed on all the computers in one building
  • Save logs and screen shots to any folder on any computer
  • Has encryption and decryption of the logs
  • Adds key capturing, to log all key pressed in any application

Please Register User Logger

Soft Shop
Soft-Shop

Overview


User Logger - Overview

Overview
Versions & Registration

What User Logger does
User Logger stores information about

  • who used a computer
  • when they used it
  • what they did
User Logger can run in 2 modes:
  • Run Mode (Invisibly),
    • or
  • Configure Mode (Shows the Configure Window)

How it can be used

As a responsible Parent, Teacher or Network Administrator,
you would like to think your PC is being used purposefully.

But you can`t always be there to watch what`s going on.
User Logger can take care of that monitoring for you.
It will log User Names, Dates and Times, as well as optionally recording all sorts of other information.

User Logger can take shots of the screen (at intervals you set)
and even look for a keyword (such as internet) before taking the screen shot.

User Logger was originally written for a local school, to see whether the old machines were being used.

If you charge out your computer time, use it to work out how much time you have spent on a project.

Information User Logger can save

  • User Name, Date and Time
  • Useful network and identification information:
    • Computer Name
    • Domain Name
    • IP Address
    • MAC Address
  • Log all windows (Show the programs were being used)
  • Capture an image of the screen at set intervals

Some History

Thanks to all the users around the world for all the new feature suggestions.

Key Features added
v 2.0-2.1

  • Keyboard logging (registered version)
  • Confirmation message when Configure window is shut

    • v 1.9
  • Encryption of Log file entries

    • v 1.8
  • Context Sensitive Help

    • v 1.7
  • More graphics in the Configuration window
  • Show a Message option
  • Help file created
  • Message if a second mutex is not created
  • Tested on XP, now works on all Windows

    • v 1.6
  • Data Folder size can be restricted
  • On Keyword Capture
  • Log ComputerName, IPAddress, MACAddress and Domain
  • Mutex so only one instance of User Logger runs

    • v 1.5
  • Better Error catching for saving log file
  • Improved save format (for import into spreadsheets)

    • v 1.4
  • TaskList Caption Disguise replaced Hide from Tasklist

    • v 1.3
  • NT version

    • v 1.2
  • Screen Shots


User Logger - How To . . .

How To . . .

Get Help
Click the [image] Help Contents button to open the help.chm file
or
Press the F1 key on the keyboard

Configure User Logger (Configure Mode)
Run the UsrLog.exe program, by double clicking the User Logger Icon User Logger Icon
After selecting options, click OK.

note:
User Logger will stop logging and close.

To keep User Logger running after configuring:
Uncheck the "Stop User Logger after this dialog is closed" checkbox.

Run with No Configure Window (Run Mode)
Execute UsrLog.EXE with a "run" parameter.
e.g. Usrlog.exe run

In the Run Mode, User Logger runs invisibly in the background, going about its business of logging the options set and optionally capturing the screen at set intervals.

Read the log file
The logfile UserLog.txt is a plain text (ASCII) file so it can be read in any ASCII editor such as notepad.

However the information stored can be imported into your spreadsheet application (such as Excel) and analysed more easily.
To import the logfile:

  1. Run your spreadsheet application
  2. Open the logfile (or drag-and-drop the logfile into the spreadsheet application)


User Logger - Run Options

Run Options

Run on Startup
Click the Checkbox to toggle whether User Logger runs on startup.

If User Logger is configured to Run on Startup it will start logging when the computer boots up, or a new user logs on.

Show a Message
Click the checkbox and type in the message you want displayed.

This might be used if you want to remind yourself that you have set User Logger to run, or to disclose the fact to other users (to resolve privacy issues).

Disguise User Logger in the Task List
CTRL+ALT+DEL will reveal all running tasks, including User Logger, in a Task List.

Disguising User Logger will make it is harder for users to stop User Logger with CTRL+ALT+DEL because it is harder to recognise the program in the task list.

The Data Folder
is where User Logger stores all its information (including Screen Shots).
Note:
Only the Registered version allows this to be changed.
In the freeware version the Data Folder is the same as the program folder.

Data Folder size
The size of all the files in the Data Folder can be limited.

Once this size is reached User Logger will not save any more information to the Data Folder.

Limiting the Data Folder size is a good idea if you have the Screen Capture option enabled.


User Logger - Text Options

Text Options

Interval
Type in (or scroll to) how many minutes between log entries

List All Windows
Click the checkbox to record all applications that are running.

The title of each application will be added to the log file.

Identification
Select the information you want to log.
Note:
MAC Address is also known as physical address

Encrypt Log Entries
Click the Open Lock image
or
Click the checkbox.

The first time you change the Encryption option (or Change the Password) you will be asked to Type in the current password.
Note:
The initial password is masterkey.
It is a good idea to Change the Password.

Decrypt Log Entries
Click the Closed Lock image
or
Click the checkbox.

The first time you change the Encryption option (or Change the Password) you will be asked to Type in the current password.
Note:
The initial password is masterkey.
It is a good idea to Change the Password.


User Logger - Screen Capture

Screen Capture

Interval
Type in (or scroll to) how many minutes between screen captures.
To get an idea of the file size and quality of captured image click the Preview button

Image Type
Select the format for captured images

Compression
Select the compression level for captured images that are saved as JPEG files

Scaling
Select the zoom level for captured screens.
1:1 shows better detail, but captured graphics have a larger file size

Hide on Preview
Removes the Configure window from Screen shots when Previewing captured screens.
Does not effect images captured when User Logger is running in the Run Mode, since the Configure window is not visible then anyhow.

Copy Button
Copies the captured image to the Windows clipboard.
This image can then be pasted into another Windows application.

Preview Button
Captures the current screen so you can adjust Scaling and Compression.
The Preview button makes User Logger useful as a Screen Capture utility.

Capture on Keyword
If this is checked User Logger examines all the programs running before capturing the screen.

e.g. If the keyword is Internet and Internet Explorer is running, User Logger will perform a Screen Capture.

When you change the keyword, User Logger saves keywords to a file called Keywords.dta so they can be used again.
These keywords are loaded into the Keyword drop-down box.
To select a previously used keyword, select it from the drop-down box.

Save As... Button
Click to save the captured graphic


Chemware Contact Information

 | Chemware Contact Information
Chemware Home Page | WWW http://chemware.co.nz
 | Email Addresses:
 | Support support@chemware.co.nz Sales sales@chemware.co.nz
 | Postal address:
 | Chemware Ltd 13 Grange Road South Haumoana Hawkes Bay 4250 New Zealand

Screen Capture